namespace InABox.Core
{
    public enum SyntaxLanguage
    {
        CSharp,
        XAML,
        HTML,
        CSS
    }

    public class ScriptEditor : BaseEditor
    {
        public ScriptEditor(SyntaxLanguage language = SyntaxLanguage.CSharp)
        {
            Alignment = Alignment.NotSet;
            SyntaxLanguage = language;
        }

        public SyntaxLanguage SyntaxLanguage { get; set; }

        protected override BaseEditor DoClone()
        {
            return new ScriptEditor(SyntaxLanguage);
        }
    }
}